﻿using System;
using System.Collections.Generic;
using JPR.TunelProxy.Interfaces;

namespace JPR.TunelProxy.DataObjects
{
    [Serializable]
    public class HttpRequestData : IHttpData
    {
        public HttpCommand HttpCommand;
        public string Host;
        public string Object;
        public string Protocol;
        public Dictionary<string, string> HttpHeaders { get; set; }
        public byte[] Content { get; set; }

        public HttpRequestData()
        {
            Host = Object = Protocol = string.Empty;
            HttpCommand = HttpCommand.Unknown;
            HttpHeaders = new Dictionary<string, string>();
            Content = null;
        }
    }
}