﻿using System;
using System.Collections.Generic;
using JPR.TunelProxy.Interfaces;

namespace JPR.TunelProxy.DataObjects
{
    [Serializable]
    public class HttpResponseData : IHttpData
    {
        public Dictionary<string, string> HttpHeaders { get; set; }
        public byte[] Content { get; set; }
        public string Status { get; set; }

        public HttpResponseData()
        {
            HttpHeaders = new Dictionary<string, string>();
            Content = null;
            Status = string.Empty;
        }
    }
}