﻿using System;
using System.IO;

namespace JPR.TunelProxy.Interfaces
{
	public interface IDatagramProvider
	{
		Stream ReceiveData();
		void SendData(Stream data);

	    void ReceiveDataAsync(Stream data, EventHandler<NetworkProviderEventArgs> eventArgs);
	}

    public class NetworkProviderEventArgs : EventArgs
    {
        public Stream Data;
    }
}