﻿using System.Net;
using System.Net.Sockets;

namespace JPR.TunelProxy.Interfaces
{
	public interface ISocketDatagramProvider : IClientDatagramProvider, IServerDatagramProvider
	{
        Socket Socket { get; set; }

	    void Listen(int maxNumberOfConnection);
		void AcceptAsync(SocketAsyncEventArgs socketAsyncEventArgs);
		void Bind(EndPoint ep);
	    void Connect(EndPoint ep);
	}
}