﻿using JPR.Common.Configuration;
using JPR.Common.Interfaces;

namespace JPR.Common.Implementations
{
	public class ConfigProvider : IConfigProvider
	{
		#region Implementation of IConfigProvider

		public string GetStringValueByKey(string key)
		{
			return AppSettings.GetStringValueByKey(key);
		}

		public int GetIntValueByKey(string key)
		{
			return AppSettings.GetIntValueByKey(key);
		}

		public int ListenerPort
		{
			get { return AppSettings.ListenerPort; }
		}
		public int MaxNumberOfConnection
		{
			get { return AppSettings.MaxNumberOfConnection; }
		}

		#endregion
	}
}