﻿using System.Collections.Generic;
using JPR.TunelProxy.DataObjects;

namespace JPR.TunelProxy.Proxy
{
	internal struct RequestInfo
	{
		public RequestInfo(HttpCommand command, string objectName, string protocol, IDictionary<string, string> headers)
			: this()
		{
			Command = command;
			ObjectName = objectName;
			Protocol = protocol;
			Headers = headers;
		}

		public IDictionary<string, string> Headers { get; set; }

		public string Protocol { get; set; }

		public string ObjectName { get; set; }

		public HttpCommand Command { get; set; }
	}
}